#include <iostream>
#include <stdio.h>
#include <string>
#include <math.h>

using namespace std;

int main(int argc, char** argv) {
	char sl[26];
	for(int i=0;i<26;i++){
		sl[i]=0;
	}
	
	long long x,a;
	string d;
	int j;
	int f=0;
	long long r=1;
	scanf("%lld",&x);
	cin>>d;
	
	for(int i=0;i<d.length();i++){
		
		sl[d[i]-65]+=1;
		if(sl[d[i]-65]==1){
			j=i;
			while(d[j]==d[j+1]){
				j++;
			}
		
			if(j>i){
				
				if(j-i+1==2){
					
					r*=2;
				}else{
					r*=j-i+1;
					
					
				}
				i=j;
			}	
			
		}
	}

	a=r%(long long)(pow(10,9)+7);
	printf("%lld",a);
	return 0;
}